[Overview][Classes][Procedures and functions][Index] | Reference for unit 'AsyncProcess' (#lcl)

# TAsyncProcess.UnhookProcessHandle

Removes the process handler assigned for the process.

## Declaration

Source position: asyncprocess.pp line 46

`protected procedure TAsyncProcess.UnhookProcessHandle;`

## Description

UnhookProcessHandle is a procedure used to remove the process handler assigned for the process in the Execute method. UnhookProcessHandle calls RemoveProcessEventHandler when a process handler has been assigned.

UnhookProcessHandle is called from the HandleProcessTermination and Destroy methods.

## See also

TAsyncProcess.Execute |  | Executes the process.
TAsyncProcess.HandleProcessTermination |  | Performs actions needed when the process is terminated.
TAsyncProcess.Destroy |  | Destructor for the class instance.